> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-6/v6-9-3.md).

# Version 6.9.3 Changelog (January 7, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.9.3

Release Date: January 7, 2019

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 6.9.3 of the iOS SDK and version 6.9.2 of the Android SDK. More information can be found on [What's New for iOS](/ios/changelogs/version-6/v6-9-3-68951.md) and [What's New for Android](/android/changelogs/version-6/v6-9-2.md).

## Xamarin.Android

### New features

* [`RectRedactionCreate`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Tools.RectRedactionCreate.html) tool for creating redaction annotations as well redact content, see guide here: [use redaction tool](/xamarin/guides/tools/redaction-tool.md)
* New signature UI and flow has been applied to the digital signature tool. In addition, you can now pass in your own keystore and password to sign, see guide here: [use digital signature](/xamarin/guides/tools/digi-sig-tool.md)
* Adds style picker for redaction annotation, now with ability to change redaction color as well as overlay text
* It is now possible to change the character casing for the quick menu, for example:

{% tabs %}
{% tab title="XML" %}
{% code lineNumbers="true" %}

```xml
<style name="QuickMenuButton" parent="Widget.AppCompat.Button.Borderless"> <item name="android:background">?attr/selectableItemBackground</item> <item name="android:textAllCaps">false</item> </style>
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Dependency changes

* All Android support libraries are updated to **v28.0.0**
* All sample project target has been changed to **API 28 (Android 9.0)**
* [Butter Knife](https://github.com/JakeWharton/butterknife/) is now **removed** from the Demo package and all samples

## Known issues

* `CompleteReaderAndroid` sample will have multi dex issue as described in open issue here: [2585](https://github.com/xamarin/xamarin-android/issues/2585/)

## Xamarin.iOS

### New features

* A number of new APIs allow for UI customization without modifying the source code of the open source Tools UI framework, see tutorial here: [Configuring a Document Viewer](/xamarin/basic-operations/basics/viewer/viewer-configuration.md).
  * It is now possible to easily add, rearrange and remove buttons from the main toolbars displayed by a [`PTDocumentViewController`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTDocumentViewController.html) or [`PTTabbedDocumentViewController`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTTabbedDocumentViewController.html).
  * It is now possible to easily add, rearrange and remove view controllers from a [`PTNavigationListsViewController`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTNavigationListsViewController.html) (which by default contains the document outline, annotation list and user bookmarks).
* The annotation toolbar now allows changing an annotation's style before it is created:

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-6b56286abfe3c62299caaad93cf8d6614f93117e%2F8d15f3b39e39a7aa946682afb04799e126b979df-640x852.gif?alt=media)

* The annotation style picker shows as a popover on iPads and large iPhones in landscape:

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-9b94dcef4dd261a1d2a7433ee9be84d05b7cd833%2F0b691ddf44983d355b365384ae55fe4bfbef3c7d-640x852.gif?alt=media)

* Customizing annotation permissions has changed. The new APIs are cleaner and easier to write as they employ properties with full code completion, vs. text strings that required consulting documentation. For example:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
toolManager.InkAnnotationPermission.CanCreate = false
toolManager.InkAnnotationPermission.CanEdit = false
toolManager.HighlightAnnotationPermission.CanCreate = false
toolManager.HighlightAnnotationPermission.CanEdit = false
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/changelogs/version-6/v6-9-3.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
